﻿--
--graintrailer
-- Specialization for graintrailer
--

graintrailer = {};

function graintrailer.prerequisitesPresent(specializations)
    return true;
end;

function graintrailer:load(xmlFile)
	self.PlaneNodeO = Utils.indexToObject(self.components, getXMLString(xmlFile,"vehicle.Plane#indexOpen"));
	self.PlaneNodeC = Utils.indexToObject(self.components, getXMLString(xmlFile,"vehicle.Plane#indexClose"));
	self.isOpen = true;
	setVisibility(self.PlaneNodeO, not self.isOpen);
	setVisibility(self.PlaneNodeC, self.isOpen);
end;

function graintrailer:delete()

end;

function graintrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function graintrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function graintrailer:update(dt)	
	
	if self:getIsActive() and self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.Tarp) then
			self.isOpen = not self.isOpen;
			setVisibility(self.PlaneNodeO, not self.isOpen);
			setVisibility(self.PlaneNodeC, self.isOpen);
		end;
	end;


end;

function graintrailer:draw()
	if self.isOpen then
		g_currentMission:addExtraPrintText(g_i18n:getText("Tarp_2"),InputBinding.Tarp);
	else
		g_currentMission:addExtraPrintText(g_i18n:getText("Tarp_1"),InputBinding.Tarp);
	end;
end;


function graintrailer:onAttach(attacherVehicle)
end;

function graintrailer:onDetach()
end;




function graintrailer:onLeave()

end;


function graintrailer:onDeactivate()

end;

function graintrailer:onDeactivateSounds()

end;
